Bug 1286872 - GNOME Shell GPG agent integration broken; GPG_AGENT_INFO no lnoger set?
GNOME Shell GPG agent integration broken; GPG_AGENT_INFO no lnoger set?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 18:43 EST by Andrew Cowie
Modified: 2016-12-20 11:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:26:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cowie 2015-11-30 18:43:05 EST
Having upgraded to Fedora 23, the GPG_AGENT_INFO environment variable is no longer being set, and/or gnome-keyring is no longer acting as a GPG agent.

There are a few bugs out there that might be relevant. https://bugs.gnupg.org/gnupg/issue1986 on the GPG side talks about the use of the agent socket and its environment variable. https://bugzilla.redhat.com/show_bug.cgi?id=1189666 which led me there seems to suggest it's up to GDM / Gnome Shell / gnome-settings-daemon / whatever to set the environment variable, which, as far as I can tell, used to happen. It isn't anymore, and so GPG agent functionality care of Seahorse appears broken.

Anyway, this is a regression from Fedora 22.

Let me know if there are any diagnostics I can do to help.

AfC
Comment 1 Andrew Cowie 2015-11-30 23:39:20 EST
This may be https://bugzilla.redhat.com/show_bug.cgi?id=1221234 ; this report however is aimed at GNOME on Fedora with a view to reporting that something that was functional appear to have regressed.
Comment 2 Stef Walter 2015-12-09 06:18:11 EST
Here is the related upstream posting: http://osdir.com/ml/desktop-devel-gnome/2015-08/msg00002.html
Comment 3 Andrew Cowie 2015-12-09 21:11:39 EST
Ok. All the dependencies listed there are already installed and/or newer than specified, with the expcetion of pinentry-gnome3 but that doesn't seem to have made a difference. There's still no gpg-agent process running.

Oh, wait.

We're supposed to use `gpg2` command now. And jump through the hoops specified at <https://wiki.archlinux.org/index.php/GnuPG#.22Lost.22_keys.2C_upgrading_to_gnupg_version_2.1> to upgrade from GnuPG 1 to GnuPG 2?

If that's the case it would be nice if the gnupg2 package provided /usr/bin/gpg as a compatibility layer?

Meanwhile, something in the desktop now needs to depend on pinentry-gnome3 to cause it to be installed on upgrade from < 23?

AfC
Comment 4 Stef Walter 2015-12-10 01:09:45 EST
In addition I think something may need to do this, or its equivalent:

$ cat /data/.gnupg/gpg-agent.conf 
pinentry-program /usr/bin/pinentry-gnome3
Comment 5 Fedora End Of Life 2016-11-24 08:51:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 11:26:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.